function A = reduce(A,i,j,k)
%reduce Perform a row elimination step during partial pivoting.
%
%   A = reduce(A,i,j,k) subtracts the multiple, k, of row j from row i.
%   This function is intended for doing Gaussian elimination "by hand"
%   without having to do the somewhat tedious calculation.

A(i,:) = A(i,:) - k*A(j,:);
